Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: apache+php+ImageMagick  (Прочитано 1352 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн kika

  • Автор темы
  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
apache+php+ImageMagick
« : 26 Январь 2010, 08:14:57 »
Задача: поставить ImageMagick как расширение к php (php сборный, был поставлен не из пакетов => собрать без apt-get)
Решение: нашёл инструкцию http://www.ioncannon.net/php/75/how-to-compile-imagemagick-for-php-by-hand/
Проблема:
convert работает отлично, php собрался без ошибок, но при запуске апача вылазит следующее:
 * Starting web server apache2
apache2: Syntax error on line 114 of /etc/apache2/apache2.conf: Syntax error on line 1 of /etc/apache2/mods-enabled/php5.load: Cannot load /usr/lib/apache2/modules/libphp5.so into server: libgomp.so.1: shared object cannot be dlopen()ed
                                                                                                                                                                 [fail]

конфигурация php:
./configure --with-apxs2=/usr/bin/apxs2 --with-mysql=/usr/bin --with-mysql-sock --with-mcrypt --enable-mbstring --with-gd --with-jpeg-dir --with-mysqli --with-gettext --with-zlib --with-curl --with-magickwand=/usr
конфигурация ImageMagick:
./configure --prefix=/usr

всё свежее.

Оффлайн AnrDaemon

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 25973
    • Просмотр профиля
Re: apache+php+ImageMagick
« Ответ #1 : 26 Январь 2010, 17:20:28 »
Ну а смысл был собирать, когда всё есть в пакетах?
Хотите получить помощь? Потрудитесь представить запрошенную информацию в полном объёме.

Прежде чем [Отправить], нажми [Просмотр] и прочти собственное сообщение. Сам-то понял, что написал?…

Оффлайн kika

  • Автор темы
  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Re: apache+php+ImageMagick
« Ответ #2 : 27 Январь 2010, 04:43:45 »
ребята, я конечно понимаю, что вы здесь все умные, но была чётко сформулирована задача и проблема при её решении.
п.с.
речь явно идёт не о домашнем компе, на котором это во-первых не надо, а во-вторых ничего не стоит потратить несколько часов на то, чтоб всё переустановить.
будь моя воля на этом серваке бы Ubuntu не стояла..

Оффлайн Mam(O)n

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 5855
    • Просмотр профиля
Re: apache+php+ImageMagick
« Ответ #3 : 27 Январь 2010, 09:14:35 »
libgomp.so.1: shared object cannot be dlopen()ed
Ну, и он на месте?
$ ls -la /usr/lib/libgomp*
lrwxrwxrwx 1 root root    16 2010-01-20 16:05 /usr/lib/libgomp.so.1 -> libgomp.so.1.0.0
-rw-r--r-- 1 root root 50780 2010-01-10 18:50 /usr/lib/libgomp.so.1.0.0

Пользователь решил продолжить мысль 27 Январь 2010, 09:26:20:
Гугль также подсказывает, что такое может быть, если libgomp собрана с nodlopen. Но это было давно, и всё уже пофикшено. http://gcc.gnu.org/bugzilla/show_bug.cgi?id=28482
« Последнее редактирование: 27 Январь 2010, 09:26:20 от Mam(O)n »

Оффлайн kika

  • Автор темы
  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Re: apache+php+ImageMagick
« Ответ #4 : 28 Январь 2010, 04:50:07 »
root@2757:~# ls -la /usr/lib/libgomp*
lrwxrwxrwx 1 root root    16 Jul 10  2009 /usr/lib/libgomp.so.1 -> libgomp.so.1.0.0
-rw-r--r-- 1 root root 24092 Apr  1  2008 /usr/lib/libgomp.so.1.0.0

apt-get не хочет gcc обновлять, говорит нету для него обновлений.

вобщем-то сегодня сервак работать не будет, буду всё из пакетов ставить... но проблема этим не решается.

вот собсно первый косяк: php5_5.2.4 а нужен 5.3
добавил в /etc/apt/sources.list репозитарии
deb http://php53.dotdeb.org stable all
deb-src http://php53.dotdeb.org stable all

и всё обновил.
« Последнее редактирование: 28 Январь 2010, 05:51:36 от kika »

 

Страница сгенерирована за 0.054 секунд. Запросов: 22.